#version 330 core
// Shader by Frostbyte
// Licensed under CC BY-NC-SA 4.0

out vec4 FragColor;

uniform vec3 iResolution;
uniform float iTime;
uniform float uAlpha;
uniform sampler2D iChannel0;

void mainImage(out vec4 o, in vec2 u)
{
    u = u / iResolution.xy - 0.5;
    o = max(1.5 * texture(iChannel0, u + 0.5), 1.5 * texture(iChannel0, -u + 0.5));
    o.a = uAlpha;
}

void main()
{
    mainImage(FragColor, gl_FragCoord.xy);
}
